Subject: bug#36419: closed (Re: bug#36419: webkitgtk fixed in later release?)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Sep 2019 08:21:02 +0000

Your bug report

#36419: webkitgtk build fails do to suspected race

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36419: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36419
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36419: webkitgtk fixed in later release?
From: Ludovic Courtès <[email-masked]>
To: Jack Hill <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Sep 2019 10:19:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Jack Hill <[email-masked]> skribis:

> Today I was able to build webkitgkt 2.24.4 with Guix commit
> 4343eebfc9f7d44ec9a665f3374d1397301b542e. It looks like it is also
> available on ci.guix.gnu.org:
>
> https://ci.guix.gnu.org/25hz999kgcjh4alm6liwm12jm3blf5zz.narinfo
>
> This is a newer release of webkitgtk than the one that failed
> (2.24.2). Do we think this means that webkitgtk build problem has been
> fixed, or did we just get lucky with this release?
>
> My feeling is that we should close this bug and can open a new one if
> it re-occurs.

I agree.  Closed!

Thanks for following up on this,
Ludo’.

Subject: webkitgtk build fails duo to suspected race
From: Jack Hill <[email-masked]>
To: [email-masked]
Date: Fri, 28 Jun 2019 10:53:05 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

It appears that the attatched derivation to build webkitgtk using the 
following guix

```
Generation 2	Jun 26 2019 20:21:09	(current)
   guix ba91247
     repository URL: https://git.savannah.gnu.org/git/guix.git
     branch: master
     commit: ba912479e8481d69b699ce348b35d5d70f0c9367
```

fails to build in a way that looks like a race. The suspicious lines in 
the attatched log are:

```
Traceback (most recent call last):
   File "/tmp/guix-build-webkitgtk-2.24.2.drv-0/webkitgtk-2.24.2/Source/WebKit/Scripts/generate-message-receiver.py", line 28, in <module>
     import webkit.messages
EOFError: EOF read where object expected
```

I have been able to sucessfully build webkitgtk on multiple hosts by using 
`-c 2`

Best,
Jack